Knowledge Base

Follow

FirePod to FP10 Firmware Update

This firmware update should be applied to any FirePod units that have lost S/PDIF I/O functionality.

Important notes:

You must run the firmware updater in Windows XP.

Do not run the updater in later versions of Windows. The device could become unusable.

The OS X version will only run on PPC based Macs. It will not run on Intel based Macs.

After updating the firmware, you may use the device on any supported system. 
Make sure that you install the most recent drivers. They are available here:

http://www.presonus.com/products/FP10/downloads

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request
Powered by Zendesk